Upload a file as a related asset of an existing asset

Uploads a file that will be associated as a related asset (e.g., subtitle track, alternate language version) to an existing asset, using the same multipart upload as uploadAsset. If anything fails before completion is requested, the upload is cancelled and the error is thrown.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

Gets or sets the Existing AssetId (file) that should be overwritten with this upload. Note that by specifying this attribute then the parentId, relativePath and displayName are all ignored.

string | null

Gets or sets the related asset ID of the existingAsset that we're replacing. If this is used, most of the other properties are not needed.

string | null

Gets or sets the type of the related asset metadata to be created for a given ExistingAssetId. If specified, ExistingAssetId has to have a value defined.

string
required

The overwrite option for the upload. The option you want to use when uploading the asset. The options are continue, replace, and cancel. Continue continues the upload from where it left off. Replace replaces an existing asset. Replace is the one you want to use if you are starting a new upload.

file
required

A browser File/Blob, the full or relative path of the file to upload (Node.js), or an object carrying the bytes in buffer plus size and name/originalName.

string | null

The language of the asset to upload. If this is left blank then the default system language is used.

options
object | null

Upload tuning options; see uploadAsset.

Responses
200

Success

400

Bad Request

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!